# Uses of Class
javassist.tools.Callback

Packages that use Callback
Package
Description
javassist.tools
Covenient tools.

## Uses of Callback in javassist.tools

Fields in javassist.tools with type parameters of type Callback
Modifier and Type
Field
Description
`static Map<String,Callback>`
Callback.`callbacks`
Methods in javassist.tools with parameters of type Callback
Modifier and Type
Method
Description
`static void`
Callback.`insertAfter(CtBehavior behavior, Callback callback)`
Utility method to inserts callback at the end of the body.
`static void`
Callback.`insertAfter(CtBehavior behavior, Callback callback, boolean asFinally)`
Utility method to inserts callback at the end of the body.
`static int`
Callback.`insertAt(CtBehavior behavior, Callback callback, int lineNum)`
Utility method to inserts callback at the specified line in the body.
`static void`
Callback.`insertBefore(CtBehavior behavior, Callback callback)`
Utility method to insert callback at the beginning of the body.